## FmCellRendererText FmCellRendererText — An implementation of cell text renderer. |

## Synopsis

    #define             FM_CELL_RENDERER_TEXT_TYPE
    struct              FmCellRendererText;
    struct              FmCellRendererTextClass;
    GtkCellRenderer *   fm_cell_renderer_text_new           (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkCellRenderer
                         +----GtkCellRendererText
                               +----FmCellRendererText

## Properties

      "max-height"               gint                  : Read / Write

## Description

`include`: libfm/fm-gtk.h

The FmCellRendererText can be used to render text in cell.

## Details

### FM_CELL_RENDERER_TEXT_TYPE

    #define FM_CELL_RENDERER_TEXT_TYPE				(fm_cell_renderer_text_get_type())

### struct FmCellRendererText

    struct FmCellRendererText;

### struct FmCellRendererTextClass

    struct FmCellRendererTextClass {
    };

### fm_cell_renderer_text_new ()

    GtkCellRenderer *   fm_cell_renderer_text_new           (void);

Creates new GtkCellRenderer object for FmCellRendererText.

Returns : | a new GtkCellRenderer object.

Since 0.1.0

## Property Details

### The `"max-height"` property

      "max-height"               gint                  : Read / Write

The "max-height" property is the maximum height of text that will be rendered. If text doesn't fit in that height then text will be ellipsized. The value of -1 means unlimited height.

Allowed values: [-1,2048]

Default value: -1

Since 1.0.2